/*
 *  Copyright (C) 2010 Lari Natri <lari.natri@gmail.com>
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package compid.report;

import net.aavalla.utils.gui.twovenn.VennParameters;

/**
 *
 * @author Lari Natri <lari.natri@gmail.com>
 */
public class VennReportPageModel extends ReportPageModel {

    private VennParameters vp;

    public VennReportPageModel(String title, String subTitle, VennParameters vp) {
        super(title,subTitle);
        this.vp = vp;
    }

    public VennParameters getVennParameters() {
        return this.vp;
    }

    public boolean setVennParameters(VennParameters vp) {
        if (this.isFinal()) {
            return false;
        } else {
            this.vp = vp;
            return true;
        }
    }

}
